# Interface LengthPrefixedArrayLayoutItem

#### Hierarchy

- ArrayLayoutItemBase
  - LengthPrefixedArrayLayoutItem

- Defined in core/base/src/utils/layout/layout.ts:94

#####
Index

### Properties

binary
layout
lengthEndianness?
lengthSize?

## Properties

### `Readonly` binary

binary: "array"

Inherited from ArrayLayoutItemBase.binary

- Defined in core/base/src/utils/layout/layout.ts:40

### `Readonly` layout

layout: layout.Layout

Inherited from ArrayLayoutItemBase.layout

- Defined in core/base/src/utils/layout/layout.ts:87

### `Optional` `Readonly` lengthEndianness

lengthEndianness?: Endianness

- Defined in core/base/src/utils/layout/layout.ts:96

### `Optional` `Readonly` lengthSize

lengthSize?: NumberSize

- Defined in core/base/src/utils/layout/layout.ts:95

Generated using TypeDoc